
#--------------------------------------------------------------------
#
#	Locate the header files and library archive for the XF86MISC
#	X extension.
#
# Arguments:
#	none
#	
# Results:
#
#	Sets the the following vars:
#		XF86MISC_INCLUDES
#		XF86MISC_LIBSW
#		XF86MISC_DEFS
#
#--------------------------------------------------------------------

AC_DEFUN(XOP_PATH_XF86MISC, [
    AC_ARG_WITH(tcl, [  --with-tcl		directory containing the XF86MISC libraries], with_xf86misc=${withval})
    AC_MSG_CHECKING([for XF86MISC X extension])

    XF86MISC_INCLUDES=""
    XF86MISC_LIBSW=""
    XF86MISC_DEFS=""

    # Find the header files.

    found_xf86misc_includes="no"
    AC_TRY_CPP([#include <X11/extensions/xf86misc.h>], found_xf86misc_includes="yes",)

    # Try a few other directories.

    if test "$found_xf86misc_includes" = "no"
    then
	dirs="/usr/unsupported/include /usr/local/include /usr/X386/include /usr/X11R6/include /usr/X11R5/include /usr/include/X11R5 /usr/include/X11R4 /usr/openwin/include /usr/X11/include /usr/sww/include"
	for i in $dirs ; do
	    if test -r $i/X11/extensions/xf86misc.h; then
		AC_MSG_RESULT($i)
		XF86_INCLUDES=" -I$i"
		found_xf86misc_includes="yes"
		break
	    fi
	done
    fi

    if test "$found_xf86misc_includes" = "yes"
    then
	# What flags do we need to set here?
	AC_TRY_CPP([#include <X11/extensions/xf86mscstr.h>], , found_xf86misc_includes="no")
    fi

    # Look for the libraries.

    if test "$found_xf86misc_includes" = "yes"
    then
	dirs="/usr/unsupported/lib /usr/local/lib /usr/X386/lib /usr/X11R6/lib /usr/X11R5/lib /usr/lib/X11R5 /usr/lib/X11R4 /usr/openwin/lib /usr/X11/lib /usr/sww/X11/lib"
	for i in $dirs ; do
	    if test -r $i/libX11.a -o -r $i/libX11.so -o -r $i/libX11.sl; then
		AC_MSG_RESULT($i)
		XF86MISC_LIBSW="-L$i -lXxf86misc -lXext"
		x_libraries="$i"
		XF86MISC_DEFS="-DXF86MISC=1"
		break
	    fi
	done
    fi

    AC_SUBST(XF86MISC_INCLUDES)
    AC_SUBST(XF86MISC_LIBSW)
    AC_SUBST(XF86MISC_DEFS)
])

